# ej2-ng-lists

The list view component allows you to select an item or multiple items from a list-like interface and represents the data in interactive hierarchical structure across different layouts or views. Lists are used for displaying data, data navigation, and data entry.

![ej2-ng-lists](https://ej2.syncfusion.com/products/images/listview/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at [https://www.syncfusion.com/sales/products](https://www.syncfusion.com/sales/products) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free [community license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install `Lists` and its dependent packages, use the following command.

```sh
npm install @syncfusion/ej2-ng-lists
```

## Resources

* [Getting Started](https://ej2.syncfusion.com/angular/documentation/list-view/getting-started.html?lang=typescript&utm_source=npm&utm_campaign=listview)
* [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/default)
* [Product Page](https://www.syncfusion.com/products/angular/listview)

## Supported Frameworks

`Lists` component is also offered in following list of frameworks.

1. [React](https://github.com/syncfusion/ej2-react-lists?utm_source=npm&utm_campaign=listview)
2. [VueJS](https://github.com/syncfusion/ej2-vue-lists?utm_source=npm&utm_campaign=listview)
3. [ASP.NET Core](https://www.syncfusion.com/products/aspnetcore/listview)
4. [ASP.NET MVC](https://www.syncfusion.com/products/aspnetmvc/listview)
5. [JavaScript (ES5)](https://www.syncfusion.com/products/javascript/listview)

## Showcase samples

* Webmail ([Live Demo](https://ej2.syncfusion.com/showcase/angular/webmail/?utm_source=npm&utm_campaign=listview))
* Call History ([Live Demo](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/call-history))

## Key Features

* [**Data binding**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/default) - Supports data binding to display the list of items from the local or server-side data source.

* [**Grouping**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/default) - Provides support to group the logically related items under a category.

* [**Nested list**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/nested-list) - Displays a set of nested list items in different layout.

* [**Virtualization**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/virtualization) - Allows you to load only viewable list items in a view port which will increase ListView performance on loading large number of data.

* [**Check list**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/checklist) - Displays list item with checkbox which allows you to select single or select multiple items.

* [**Customizing templates**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/group-template) - Allows you to customize the list item, header, and category group header.

* [**Accessibility**](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=listview#/material/listview/default) - Provides built-in accessibility support that helps to access all the ListView component features through the keyboard, on-screen readers, or other assistive technology devices.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=listview) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_campaign=listview).
* New [GitHub issue](https://github.com/syncfusion/ej2-ng-lists/issues/new).
* Ask your query in [Stack Overflow](https://stackoverflow.com/?utm_source=npm&utm_campaign=listview) with tag `syncfusion` and `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-ng-lists/blob/master/license?utm_source=npm&utm_campaign=listview).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-ng-lists/blob/master/CHANGELOG.md?utm_source=npm&utm_campaign=listview)

© Copyright 2018 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.
