import { ElementRef, ViewContainerRef, Renderer2, ValueProvider } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { ListView, Virtualization } from '@syncfusion/ej2-lists';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * Represents Angular ListView Component
 * ```
 * <ejs-listview [dataSource]='data'></ejs-listview>
 * ```
 */
export declare class ListViewComponent extends ListView implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    /**
     * The ListView supports to customize the content of each list items with the help of template property.
     * Refer the documentation [here](http://ej2.syncfusion.com/documentation/list-view/customizing-templates.html?lang=typescript)
     *  to know more about this property with demo.
     *
     * {% codeBlock src="list-view/template-api/index.ts" %}{% endcodeBlock %}
     * @default null
     */
    template: any;
    /**
     * The ListView has an option to custom design the group header title with the help of groupTemplate property.
     * Refer the documentation [here]
     * (http://ej2.syncfusion.com/documentation/list-view/customizing-templates.html?lang=typescript#group-template)
     *  to know more about this property with demo.
     *
     * {% codeBlock src="list-view/grouptemplate-api/index.ts" %}{% endcodeBlock %}
     * @default null
     */
    groupTemplate: any;
    /**
     * The ListView has an option to custom design the ListView header title with the help of headerTemplate property.
     * Refer the documentation [here]
     * (http://ej2.syncfusion.com/documentation/list-view/customizing-templates.html?lang=typescript#header-template)
     *  to know more about this property with demo.
     *
     * {% codeBlock src="list-view/headertemplate-api/index.ts" %}{% endcodeBlock %}
     * @default null
     */
    headerTemplate: any;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, virtualization: Virtualization);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
export declare const VirtualizationService: ValueProvider;
